org.omg.PortableServer

## Interface AdapterActivatorOperations

- All Known Subinterfaces:
    AdapterActivator

      public interface AdapterActivatorOperations

  An adapter activator supplies a POA with the ability to create child POAs on demand, as a side-effect of receiving a request that names the child POA (or one of its children), or when find_POA is called with an activate parameter value of TRUE.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `unknown_adapter(POA parent, String name)` This operation is invoked when the ORB receives a request for an object reference that identifies a target POA that does not exist.

- - ### Method Detail

    - #### unknown_adapter

          boolean unknown_adapter(POA parent,
                                String name)

      This operation is invoked when the ORB receives a request for an object reference that identifies a target POA that does not exist. The ORB invokes this operation once for each POA that must be created in order for the target POA to exist.
      Parameters:
        `parent` - indicates the parent POA for the POA that needs to be created.
        `name` - identifies the name of the POA relative to the parent.
      Returns:
        returns TRUE if the POA was created or FALSE otherwise.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.